# To get started with security, check out the documentation:
# http://symfony.com/doc/current/book/security.html
security:

    encoders:
        Core\SeguridadBundle\Entity\Usuario:
            algorithm:  bcrypt
            cost:       12

    # http://symfony.com/doc/current/book/security.html#where-do-users-come-from-user-providers
    providers:
        db_user:
            entity: { class: CoreSeguridadBundle:Usuario, property: usuario }

    firewalls:
        secured_area:
            anonymous: ~
            http_basic: ~
            form_login:
                login_path: login
                check_path: login_check
                # field names for the username and password fields:
                username_parameter: usuario
                password_parameter: clave
                use_forward: true
                default_target_path: after_login
                always_use_default_target_path: true
                use_referer: true
                post_only:      true
                remember_me:    false

            logout:
                path:   logout
                target: login
        # disables authentication for assets and the profiler, adapt it according to your needs
        dev:
            pattern: ^/(_(profiler|wdt)|css|images|js)/
            security: false

        main:
            anonymous: ~
            # activate different ways to authenticate

            # http_basic: ~
            # http://symfony.com/doc/current/book/security.html#a-configuring-how-your-users-will-authenticate

            # form_login: ~
            # http://symfony.com/doc/current/cookbook/security/form_login_setup.html

    access_control:        
        #- { path: ^/login, roles: IS_AUTHENTICATED_ANONYMOUSLY }
        #- { path: ^/core/seguridad/login/autologin, roles: IS_AUTHENTICATED_ANONYMOUSLY }        
        #- { path: ^/core/seguridad/login/forgot_pass, roles: IS_AUTHENTICATED_ANONYMOUSLY }        
        #- { path: ^/core/seguridad/login/change_pass, roles: IS_AUTHENTICATED_ANONYMOUSLY }
        #- { path: ^/core/seguridad/login/change_pass_token, roles: IS_AUTHENTICATED_ANONYMOUSLY }
        #- { path: ^/core/seguridad/login/save_new_pass, roles: IS_AUTHENTICATED_ANONYMOUSLY }
        #- { path: ^/core/seguridad/login/logout, roles: IS_AUTHENTICATED_ANONYMOUSLY }
        #- { path: ^/hcue/paciente/paciente/public/aceptacionvacuna,  roles: IS_AUTHENTICATED_ANONYMOUSLY }
        #- { path: ^/hcue/paciente/paciente/wsregistrocivil,  roles: IS_AUTHENTICATED_ANONYMOUSLY }
        #- { path: ^/hcue/paciente/paciente/public/saveaceptavacuna,  roles: IS_AUTHENTICATED_ANONYMOUSLY }
        #- { path: ^/hcue/paciente/paciente/public/sendNotificacion,  roles: IS_AUTHENTICATED_ANONYMOUSLY }
        #- { path: ^/hcue/paciente/paciente/public/validapacienteacept,  roles: IS_AUTHENTICATED_ANONYMOUSLY }
        #- { path: ^/hcue/paciente/paciente/public/consultaAgenda,  roles: IS_AUTHENTICATED_ANONYMOUSLY }
        #- { path: ^/hcue/paciente/paciente/public/consultaAgengapaciente,  roles: IS_AUTHENTICATED_ANONYMOUSLY }
        #- { path: ^/hcue/paciente/paciente/public/actualizacorreopaciente,  roles: IS_AUTHENTICATED_ANONYMOUSLY }
        #- { path: ^/hcue/paciente/certificadovacuna/public/index,  roles: IS_AUTHENTICATED_ANONYMOUSLY }
        #- { path: ^/hcue/paciente/certificadovacuna/public/validatevacuna,  roles: IS_AUTHENTICATED_ANONYMOUSLY }
        #- { path: ^/hcue/paciente/certificadovacuna/public/createorupdate,  roles: IS_AUTHENTICATED_ANONYMOUSLY }
        #- { path: ^/hcue/paciente/certificadovacuna/public/tomapaciente,  roles: IS_AUTHENTICATED_ANONYMOUSLY }
        - { path: ^/,  roles: IS_AUTHENTICATED_ANONYMOUSLY }
        - { path: ^/tomadatopacientemsp,  roles: IS_AUTHENTICATED_ANONYMOUSLY }
        - { path: ^/mostrarcertificadomsp,  roles: IS_AUTHENTICATED_ANONYMOUSLY }
        - { path: ^/consultarqr,  roles: IS_AUTHENTICATED_ANONYMOUSLY }
        - { path: ^/core, roles: ROLE_USER}
        - { path: ^/hcue, roles: ROLE_USER}